<?php

  $debugin        = $decoded['debug'];
  $usr_id         = $decoded['usr_id'];
  $tienda_id      = $decoded['tienda_id'];
  $encuesta_id    = $decoded['encuesta_id'];
  $preguntas      = $decoded['preguntas'];
  $datetoday      = date('Y-m-d');
  $fechahoy       = date('Y-m-d H:i:s');

  if( $usr_id ){

    //User
    $Query = "
      SELECT
        usr.id, fk_usuario_tipo
      FROM usuarios_app usr
      WHERE
        usr.Id = '$usr_id'
        AND usr.activo = '1'
    ";
    $Result = mysqli_query($mysqli, $Query);
	  $Usr = mysqli_fetch_assoc($Result);
    if( $Usr[id] ){

      //Valida Si es Fuerza de Ventas y Tienda Checkin
      if( $Usr[fk_usuario_tipo] == 1 ){

        //Visita
        $Query = "
          SELECT
            vi.id, vi.fk_tienda
          FROM visitas_fuerzaventas vi
          WHERE
            vi.id               != '0'
            AND vi.fk_usuario   = '$Usr[id]'
            AND vi.in_          = '1'
          GROUP BY vi.Id
        ";
        $Result = mysqli_query($mysqli, $Query);
        $Visita = mysqli_fetch_assoc($Result);

        if( $Visita[id] ){
          //Tienda
          $Query = "
            SELECT
              tie.id,
              tie.nombre,
              tie.codigoQr,
              tie.fk_pais, pai.nombre AS pais,
              tie.fk_estado, est.estado,
              tie.fk_municipio, mun.municipio,
              tie.codigo_postal, tie.colonia,
              tie.calle, tie.no_exterior, tie.no_interior,
              tie.lat, tie.lng
            FROM tiendas tie
            LEFT JOIN cat_paises pai ON pai.id = tie.fk_pais
            LEFT JOIN cat_estados est ON est.id = tie.fk_estado
            LEFT JOIN cat_municipios mun ON mun.id = tie.fk_municipio
            WHERE
              tie.id = '$Visita[fk_tienda]'
            GROUP BY tie.Id
          ";
          $Result = mysqli_query($mysqli, $Query);
          $TiendaVal = mysqli_fetch_assoc($Result);
          if( $TiendaVal[id] ){
            $TiendaId = $TiendaVal[id];
          }
        }

      }else{
        $TiendaId = 0;
      }

      //Valida Encuesta
      $Where = "
        WHERE enc.id = '$encuesta_id'
        AND enc.fechainicio <= '$datetoday' AND enc.fechalimite >= '$datetoday'
      ";

      //Validación de Encuestas
      $Query = "
        SELECT
          enc.id, enc.nombre,
          enc.fechainicio, enc.fechalimite
        FROM encuestas enc
        $Where
      ";
      $Result = mysqli_query($mysqli, $Query);
  	  $Encuesta = mysqli_fetch_assoc($Result);
      if( $Encuesta[id] ){

        //Verifica Respuesta Si existe actualiza sino inserta
        $Query = "
          SELECT
            res.id
          FROM encuestas_respuestas res
          WHERE
            res.fk_encuesta = '$Encuesta[id]'
            AND res.fk_usuario = '$Usr[id]'
        ";
        $Result = mysqli_query($mysqli, $Query);
    	  $Resp = mysqli_fetch_assoc($Result);
        if( $Resp[id] ){

          //Update
          $Query = "
            UPDATE encuestas_respuestas
            SET
              fecha = '$fechahoy'
            WHERE
              id = '$Resp[id]'
          ";
          $Result = mysqli_query($mysqli, $Query);

          //Delete Respuestas Enteriores
          $Query = "
    				DELETE
    				FROM encuestas_respuestas_preguntas
    				WHERE
    					fk_encuesta = '$Encuesta[id]'
              AND fk_usuario = '$Usr[id]'
    			";
    	    $Result = mysqli_query($mysqli, $Query);

          foreach ($preguntas AS $pregunta) {

            $pregunta_id = $pregunta[pregunta_id];
            $respuesta   = $pregunta[respuesta];

            //Inserta Respuesatas
            $Query = "
              INSERT INTO encuestas_respuestas_preguntas
              (
                fk_encuesta, fk_pregunta,
                fk_usuario, respuesta
              )
              VALUES (
                '$Encuesta[id]', '$pregunta_id',
                '$Usr[id]', '$respuesta'
              )
            ";
            $Result = mysqli_query($mysqli, $Query);

          }

          //Respuesta Guardado
          $Data = array(
            'action'        => 'ok',
            'id_user'       => "$Usr[id]",
            'id_encuesta'   => "$Encuesta[id]"
          );
          echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

        }else{

          //Inserta Respuesta
          $Query = "
            INSERT INTO encuestas_respuestas
            (
              fk_encuesta, fk_usuario,
              fk_tienda, fecha
            )
            VALUES (
              '$Encuesta[id]', '$Usr[id]',
              '$TiendaId', '$fechahoy'
            )
          ";
          $Result = mysqli_query($mysqli, $Query);
          $IdSave = mysqli_insert_id($mysqli);

          if( $IdSave ){
            foreach ($preguntas AS $pregunta) {

              $pregunta_id = $pregunta[pregunta_id];
              $respuesta   = $pregunta[respuesta];

              //Inserta Respuesatas
              $Query = "
                INSERT INTO encuestas_respuestas_preguntas
                (
                  fk_encuesta, fk_pregunta,
                  fk_usuario, respuesta
                )
                VALUES (
                  '$Encuesta[id]', '$pregunta_id',
                  '$Usr[id]', '$respuesta'
                )
              ";
              $Result = mysqli_query($mysqli, $Query);

            }

            //Respuesta Guardado
            $Data = array(
              'action'        => 'ok',
              'id_user'       => "$Usr[id]",
              'id_encuesta'   => "$Encuesta[id]"
            );
            echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

          }

        }

      }else{

        //Error
        $Query = "
          SELECT
            err.Id, err.error, err.msn
          FROM api_errores err
          WHERE err.error = 'en-1'
        ";
        $Result = mysqli_query($mysqli, $Query);
        $Error = mysqli_fetch_assoc($Result);

        $Data = array(
          'action'      => 'error',
          'error'       => $Error[error],
          'error_msn'   => $Error[msn]
        );
        echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

      }


    }else{

      //Error
      $Query = "
        SELECT
          err.Id, err.error, err.msn
        FROM api_errores err
        WHERE err.error = 'en-1'
      ";
      $Result = mysqli_query($mysqli, $Query);
      $Error = mysqli_fetch_assoc($Result);

      $Data = array(
        'action'      => 'error',
        'error'       => $Error[error],
        'error_msn'   => $Error[msn]
      );
      echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

    }

  }else{

    //Error
    $Query = "
      SELECT
        err.Id, err.error, err.msn
      FROM api_errores err
      WHERE err.error = 'en-1'
    ";
    $Result = mysqli_query($mysqli, $Query);
    $Error = mysqli_fetch_assoc($Result);

    $Data = array(
      'action'      => 'error',
      'error'       => $Error[error],
      'error_msn'   => $Error[msn]
    );
    echo json_encode($Data, JSON_UNESCAPED_UNICODE | JSON_PRETTY_PRINT);

  }

?>
